Using R intrepreter in zeppelin

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Using R intrepreter in zeppelin

Meethu Mathew
Hi,

I am using zeppelin 0.7.1 with mesos. I installed R on the master node where zeppelin is installed( as mentioned in the documentation here). 

But when I run R code, its getting failed (error: sparkr is not responding) when the executors are spawned in the slaves where R is not installed. 

Do we need to install R and the associated packages in all the nodes ?

Regards, 
Meethu Mathew

Reply | Threaded
Open this post in threaded view
|

Re: Using R intrepreter in zeppelin

Jeff Zhang

Yes, you need to install R in all the nodes


Meethu Mathew <[hidden email]>于2017年5月3日周三 下午12:51写道:
Hi,

I am using zeppelin 0.7.1 with mesos. I installed R on the master node where zeppelin is installed( as mentioned in the documentation here). 

But when I run R code, its getting failed (error: sparkr is not responding) when the executors are spawned in the slaves where R is not installed. 

Do we need to install R and the associated packages in all the nodes ?

Regards, 


Meethu Mathew